{% extends "client/layout_client.html.twig" %}
{% block body %}
    <div class="container">
        <div class="row align-self-right">
            <div class="col-7">
                <div class="col-5 bg-light p-3">
                    <h3>Les filtres</h3>
                </div>
                les filtres ...
            </div>
            <div class="col-5">
                <div class="col-5 bg-light p-3">
                    <h3>Le panier</h3>
                </div>
                le panier +liens
                {{ dump(panier) }}
                <table class="table">
                    <thead>
                        <tr><th>Produit</th><th>Quantité</th><th>Actions</th></tr>
                    </thead>
                    <tbody>
                        {% for p in panier %}
                            <tr>
                                <th>{{ p.produit.nom | default("A") }}</th>
                                <th>{{ p.quantite }}</th>
                                <th class="row">
                                    <form action="{{ path('client_panier_add') }}" method="post">
                                        <input type="hidden" name="id" value="{{ p.produit.id }}">
                                        <input type="hidden" name="increment" value="-1">
                                        <input class="btn btn-primary" type="submit" name="dec" value="-" />
                                    </form>
                                    <form action="{{ path('client_panier_add') }}" method="post">
                                        <input type="hidden" name="id" value="{{ p.produit.id }}">
                                        <input type="hidden" name="increment" value="1">
                                        <input class="btn btn-secondary" type="submit" name="inc" value="+" />
                                    </form>
                                    <form action="{{ path('client_panier_delete') }}" method="post">
                                        <input type="hidden" name="id" value="{{ p.id }}">
                                        <input class="btn btn-danger" type="submit" name="delete" value="Delete" />
                                    </form>
                                </th>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
                <form action="{{ path('client_commande_validate') }}" method="post">
                    <input class="btn btn-success" type="submit" name="validate" value="Valider">
                </form>
            </div>

        </div>


        <div class="bg-light p-3">
            <h1>Les produits</h1>
        </div>

        <div class="row">
            {% for produit in produits  %}
                <div class="col-4 mt-4">
                    <div class="border border-dark rounded p-2 clearfix">
                        <h2>
                            {{ produit.nom }}
                            -
                            {{ produit.prix }}
                            €
                        </h2>
                        {%  if produit.photo is not empty %}
                            <img class="img-fluid rounded"  style="width:150px;height:100px"  src="{{ asset('images/') }}{{ produit.photo }}"  alt="image  de {{ produit.nom }}" >
                        {% else %} <img class="img-fluid rounded"   style="width:100px;height:100px"   src="{{ asset('images/') }}no_photo.jpeg"  alt="image  de {{ produit.nom }}" >
                        {% endif %}
                        <hr>
                        {#
                        <a href="{{ path('client_panier_add', {'id': produit.id }) }}" class="btn btn-success float-right">
                            <i class="fas fa-shopping-cart mr-1"></i>
                            Ajouter
                        </a>
                        #}
                        <form action="{{ path('client_panier_add') }}" method="post">
                            <input type="hidden" name="id" value="{{ produit.id }}">
                            <input type="submit" value="Ajouter">
                        </form>
                    </div>

                </div>
            {% endfor %}
        </div>
    </div>
{% endblock %}